org.gradle.language

## Interface HeaderExportingSourceSet

- All Superinterfaces:
    Buildable, LanguageSourceSet, Named
  All Known Subinterfaces:
    CppSourceSet, CSourceSet, WindowsResourceSet

      @Incubating
      public interface HeaderExportingSourceSet
      extends LanguageSourceSet

  A source set that exposes headers

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportedHeaders(Action<? super SourceDirectorySet> config)` Configure the exported header directories.
    `SourceDirectorySet` | `getExportedHeaders()` The headers as a directory set.

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### exportedHeaders

          void exportedHeaders(Action<? super SourceDirectorySet> config)

      Configure the exported header directories.

    - #### getExportedHeaders

          SourceDirectorySet getExportedHeaders()

      The headers as a directory set.